diff --git a/tests/fate/vcodec.mak b/tests/fate/vcodec.mak
index c62abe4..94ec04f 100644
--- a/tests/fate/vcodec.mak
+++ b/tests/fate/vcodec.mak
@@ -78,7 +78,8 @@ fate-vsynth%-dnxhd-2k-hr-hq:  ENCOPTS    = -s 2k -profile:v dnxhr_hq \
 fate-vsynth%-dnxhd-2k-hr-hq:  DECOPTS    = -sws_flags area+accurate_rnd+bitexact
 fate-vsynth%-dnxhd-2k-hr-hq:  FMT        = dnxhd
 
-FATE_VCODEC-$(call ENCDEC, DNXHD, MOV)  += dnxhd-1080i dnxhd-1080i-10bit dnxhd-1080i-colr
+FATE_VCODEC-$(call ENCDEC, DNXHD, MOV)  += dnxhd-1080i dnxhd-1080i-10bit dnxhd-1080i-colr \
+                                           dnxhd-hr-lb-mov dnxhd-hr-sq-mov dnxhd-hr-hq-mov
 fate-vsynth%-dnxhd-1080i:        ENCOPTS = -s hd1080 -b 120M -flags +ildct \
                                            -pix_fmt yuv422p -frames 5 -qmax 8
 fate-vsynth%-dnxhd-1080i:        FMT     = mov
@@ -93,6 +94,21 @@ fate-vsynth%-dnxhd-1080i-colr:   ENCOPTS = -s hd1080 -b 120M -flags +ildct -movf
 fate-vsynth%-dnxhd-1080i-colr:   DECOPTS = -sws_flags area+accurate_rnd+bitexact
 fate-vsynth%-dnxhd-1080i-colr:   FMT     = mov
 
+fate-vsynth%-dnxhd-hr-lb-mov:   ENCOPTS = -s uhd2160 -profile:v dnxhr_lb \
+                                           -pix_fmt yuv422p -frames 5
+fate-vsynth%-dnxhd-hr-lb-mov:   DECOPTS = -sws_flags area+accurate_rnd+bitexact
+fate-vsynth%-dnxhd-hr-lb-mov:   FMT     = mov
+
+fate-vsynth%-dnxhd-hr-sq-mov:   ENCOPTS = -s 2kscope -profile:v dnxhr_sq \
+                                           -pix_fmt yuv422p -frames 5
+fate-vsynth%-dnxhd-hr-sq-mov:   DECOPTS = -sws_flags area+accurate_rnd+bitexact
+fate-vsynth%-dnxhd-hr-sq-mov:   FMT     = mov
+
+fate-vsynth%-dnxhd-hr-hq-mov:   ENCOPTS = -s 2kflat -profile:v dnxhr_hq \
+                                           -pix_fmt yuv422p -frames 5
+fate-vsynth%-dnxhd-hr-hq-mov:   DECOPTS = -sws_flags area+accurate_rnd+bitexact
+fate-vsynth%-dnxhd-hr-hq-mov:   FMT     = mov
+
 FATE_VCODEC-$(call ENCDEC, DVVIDEO, DV) += dv dv-411 dv-50
 fate-vsynth%-dv:                 CODEC   = dvvideo
 fate-vsynth%-dv:                 ENCOPTS = -dct int -s pal
diff --git a/tests/ref/vsynth/vsynth1-dnxhd-hr-hq-mov b/tests/ref/vsynth/vsynth1-dnxhd-hr-hq-mov
new file mode 100644
index 0000000..f6eaf66
--- /dev/null
+++ b/tests/ref/vsynth/vsynth1-dnxhd-hr-hq-mov
@@ -0,0 +1,4 @@
+c3d235535a67f8716c867a26ea2e6973 *tests/data/fate/vsynth1-dnxhd-hr-hq-mov.mov
+4772599 tests/data/fate/vsynth1-dnxhd-hr-hq-mov.mov
+e09ffa29e069e4dac0b8ce9692f9cccb *tests/data/fate/vsynth1-dnxhd-hr-hq-mov.out.rawvideo
+stddev:    5.73 PSNR: 32.96 MAXDIFF:   56 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth1-dnxhd-hr-lb-mov b/tests/ref/vsynth/vsynth1-dnxhd-hr-lb-mov
new file mode 100644
index 0000000..2e2b4a3
--- /dev/null
+++ b/tests/ref/vsynth/vsynth1-dnxhd-hr-lb-mov
@@ -0,0 +1,4 @@
+254aa3f0be811882ff351172fd391492 *tests/data/fate/vsynth1-dnxhd-hr-lb-mov.mov
+3748599 tests/data/fate/vsynth1-dnxhd-hr-lb-mov.mov
+21c68252f500bada13ccce232e1ecfca *tests/data/fate/vsynth1-dnxhd-hr-lb-mov.out.rawvideo
+stddev:    5.59 PSNR: 33.17 MAXDIFF:   55 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth1-dnxhd-hr-sq-mov b/tests/ref/vsynth/vsynth1-dnxhd-hr-sq-mov
new file mode 100644
index 0000000..d9b3afd
--- /dev/null
+++ b/tests/ref/vsynth/vsynth1-dnxhd-hr-sq-mov
@@ -0,0 +1,4 @@
+1ee510bd3c1b911097483350f8348faa *tests/data/fate/vsynth1-dnxhd-hr-sq-mov.mov
+2560763 tests/data/fate/vsynth1-dnxhd-hr-sq-mov.mov
+28decbb865ee26061ff49ea856c6a472 *tests/data/fate/vsynth1-dnxhd-hr-sq-mov.out.rawvideo
+stddev:    7.34 PSNR: 30.81 MAXDIFF:  149 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth1-dnxhd-uhd-hr-mov b/tests/ref/vsynth/vsynth1-dnxhd-uhd-hr-mov
new file mode 100644
index 0000000..fc8302c
--- /dev/null
+++ b/tests/ref/vsynth/vsynth1-dnxhd-uhd-hr-mov
@@ -0,0 +1,4 @@
+254aa3f0be811882ff351172fd391492 *tests/data/fate/vsynth1-dnxhd-uhd-hr-mov.mov
+3748599 tests/data/fate/vsynth1-dnxhd-uhd-hr-mov.mov
+21c68252f500bada13ccce232e1ecfca *tests/data/fate/vsynth1-dnxhd-uhd-hr-mov.out.rawvideo
+stddev:    5.59 PSNR: 33.17 MAXDIFF:   55 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth2-dnxhd-hr-hq-mov b/tests/ref/vsynth/vsynth2-dnxhd-hr-hq-mov
new file mode 100644
index 0000000..5475883
--- /dev/null
+++ b/tests/ref/vsynth/vsynth2-dnxhd-hr-hq-mov
@@ -0,0 +1,4 @@
+81b386d921f20e396cf430e003d992a0 *tests/data/fate/vsynth2-dnxhd-hr-hq-mov.mov
+4772599 tests/data/fate/vsynth2-dnxhd-hr-hq-mov.mov
+1ddcf688a127b07b5f22caf2d107e112 *tests/data/fate/vsynth2-dnxhd-hr-hq-mov.out.rawvideo
+stddev:    1.56 PSNR: 44.25 MAXDIFF:   33 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth2-dnxhd-hr-lb-mov b/tests/ref/vsynth/vsynth2-dnxhd-hr-lb-mov
new file mode 100644
index 0000000..1f0f496
--- /dev/null
+++ b/tests/ref/vsynth/vsynth2-dnxhd-hr-lb-mov
@@ -0,0 +1,4 @@
+f8c366051fb16025e97f1bf78f13e1af *tests/data/fate/vsynth2-dnxhd-hr-lb-mov.mov
+3748599 tests/data/fate/vsynth2-dnxhd-hr-lb-mov.mov
+6d4cdd8822ead300690af9ce52db037c *tests/data/fate/vsynth2-dnxhd-hr-lb-mov.out.rawvideo
+stddev:    1.52 PSNR: 44.49 MAXDIFF:   33 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth2-dnxhd-hr-sq-mov b/tests/ref/vsynth/vsynth2-dnxhd-hr-sq-mov
new file mode 100644
index 0000000..e4a6fcf
--- /dev/null
+++ b/tests/ref/vsynth/vsynth2-dnxhd-hr-sq-mov
@@ -0,0 +1,4 @@
+db8a9c29ca79d929dcc1fec7ea2119d3 *tests/data/fate/vsynth2-dnxhd-hr-sq-mov.mov
+2560763 tests/data/fate/vsynth2-dnxhd-hr-sq-mov.mov
+8a2ff98ef244611c29b200f112e05f32 *tests/data/fate/vsynth2-dnxhd-hr-sq-mov.out.rawvideo
+stddev:    7.19 PSNR: 30.99 MAXDIFF:  163 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth3-dnxhd-hr-hq-mov b/tests/ref/vsynth/vsynth3-dnxhd-hr-hq-mov
new file mode 100644
index 0000000..3e8da11
--- /dev/null
+++ b/tests/ref/vsynth/vsynth3-dnxhd-hr-hq-mov
@@ -0,0 +1,4 @@
+52090473216007402c79ec55020eb4d1 *tests/data/fate/vsynth3-dnxhd-hr-hq-mov.mov
+4772599 tests/data/fate/vsynth3-dnxhd-hr-hq-mov.mov
+aa2e6c13a1e7760a22fccfca9faacdf3 *tests/data/fate/vsynth3-dnxhd-hr-hq-mov.out.rawvideo
+stddev:    6.92 PSNR: 31.32 MAXDIFF:   50 bytes:    86700/     8670
diff --git a/tests/ref/vsynth/vsynth3-dnxhd-hr-lb-mov b/tests/ref/vsynth/vsynth3-dnxhd-hr-lb-mov
new file mode 100644
index 0000000..f869caf
--- /dev/null
+++ b/tests/ref/vsynth/vsynth3-dnxhd-hr-lb-mov
@@ -0,0 +1,4 @@
+921f16751950320d8da7a1dde215c2ff *tests/data/fate/vsynth3-dnxhd-hr-lb-mov.mov
+3748599 tests/data/fate/vsynth3-dnxhd-hr-lb-mov.mov
+1a4d12fd893e4585944dd9c68fb23edf *tests/data/fate/vsynth3-dnxhd-hr-lb-mov.out.rawvideo
+stddev:    6.92 PSNR: 31.32 MAXDIFF:   50 bytes:    86700/     8670
diff --git a/tests/ref/vsynth/vsynth3-dnxhd-hr-sq-mov b/tests/ref/vsynth/vsynth3-dnxhd-hr-sq-mov
new file mode 100644
index 0000000..45f05c8
--- /dev/null
+++ b/tests/ref/vsynth/vsynth3-dnxhd-hr-sq-mov
@@ -0,0 +1,4 @@
+a255c4350709fb6770886a075b470a76 *tests/data/fate/vsynth3-dnxhd-hr-sq-mov.mov
+2560763 tests/data/fate/vsynth3-dnxhd-hr-sq-mov.mov
+29ab11854e5230156bf377bb75f88ca2 *tests/data/fate/vsynth3-dnxhd-hr-sq-mov.out.rawvideo
+stddev:    7.11 PSNR: 31.09 MAXDIFF:   50 bytes:    86700/     8670
diff --git a/tests/ref/vsynth/vsynth_lena-dnxhd-hr-hq-mov b/tests/ref/vsynth/vsynth_lena-dnxhd-hr-hq-mov
new file mode 100644
index 0000000..76d9a26
--- /dev/null
+++ b/tests/ref/vsynth/vsynth_lena-dnxhd-hr-hq-mov
@@ -0,0 +1,4 @@
+7ffe504b76eaab61aa7c9e7c489493c2 *tests/data/fate/vsynth_lena-dnxhd-hr-hq-mov.mov
+4772599 tests/data/fate/vsynth_lena-dnxhd-hr-hq-mov.mov
+0668971f3a93f5886c9b3c1db0b29307 *tests/data/fate/vsynth_lena-dnxhd-hr-hq-mov.out.rawvideo
+stddev:    1.34 PSNR: 45.54 MAXDIFF:   23 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth_lena-dnxhd-hr-lb-mov b/tests/ref/vsynth/vsynth_lena-dnxhd-hr-lb-mov
new file mode 100644
index 0000000..a582b88
--- /dev/null
+++ b/tests/ref/vsynth/vsynth_lena-dnxhd-hr-lb-mov
@@ -0,0 +1,4 @@
+2c6881ebb8efdb02189862f67cd72851 *tests/data/fate/vsynth_lena-dnxhd-hr-lb-mov.mov
+3748599 tests/data/fate/vsynth_lena-dnxhd-hr-lb-mov.mov
+0951de00b90d1bf34d2ff10a51db705d *tests/data/fate/vsynth_lena-dnxhd-hr-lb-mov.out.rawvideo
+stddev:    1.31 PSNR: 45.72 MAXDIFF:   21 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth_lena-dnxhd-hr-sq-mov b/tests/ref/vsynth/vsynth_lena-dnxhd-hr-sq-mov
new file mode 100644
index 0000000..82d36e3
--- /dev/null
+++ b/tests/ref/vsynth/vsynth_lena-dnxhd-hr-sq-mov
@@ -0,0 +1,4 @@
+56d189ed91b9e4f292c1fd5ac2dfe496 *tests/data/fate/vsynth_lena-dnxhd-hr-sq-mov.mov
+2560763 tests/data/fate/vsynth_lena-dnxhd-hr-sq-mov.mov
+85c94528c4440cad94e03fe829753481 *tests/data/fate/vsynth_lena-dnxhd-hr-sq-mov.out.rawvideo
+stddev:    5.05 PSNR: 34.06 MAXDIFF:  154 bytes:  7603200/   760320