diff --git a/tests/fate/vcodec.mak b/tests/fate/vcodec.mak
index c62abe4..f4363a9 100644
--- a/tests/fate/vcodec.mak
+++ b/tests/fate/vcodec.mak
@@ -31,7 +31,10 @@ FATE_VCODEC-$(call ENCDEC, DNXHD, DNXHD) += dnxhd-720p                  \
                                             dnxhd-720p-hr-lb            \
                                             dnxhd-4k-hr-lb              \
                                             dnxhd-uhd-hr-sq             \
-                                            dnxhd-2k-hr-hq
+                                            dnxhd-2k-hr-hq              \
+                                            dnxhd-edge1-hr              \
+                                            dnxhd-edge2-hr              \
+                                            dnxhd-edge3-hr
 
 FATE_VCODEC-$(call ENCDEC, VC2 DIRAC, MOV) += vc2-420p vc2-420p10 vc2-420p12 \
                                               vc2-422p vc2-422p10 vc2-422p12 \
@@ -78,6 +81,21 @@ fate-vsynth%-dnxhd-2k-hr-hq:  ENCOPTS    = -s 2k -profile:v dnxhr_hq \
 fate-vsynth%-dnxhd-2k-hr-hq:  DECOPTS    = -sws_flags area+accurate_rnd+bitexact
 fate-vsynth%-dnxhd-2k-hr-hq:  FMT        = dnxhd
 
+fate-vsynth%-dnxhd-edge1-hr:  ENCOPTS    = -s 264x128 -profile:v dnxhr_hq \
+                                           -pix_fmt yuv422p -frames 5
+fate-vsynth%-dnxhd-edge1-hr:  DECOPTS    = -sws_flags area+accurate_rnd+bitexact
+fate-vsynth%-dnxhd-edge1-hr:  FMT        = dnxhd
+
+fate-vsynth%-dnxhd-edge2-hr:  ENCOPTS    = -s 271x135 -profile:v dnxhr_hq \
+                                           -pix_fmt yuv422p -frames 5
+fate-vsynth%-dnxhd-edge2-hr:  DECOPTS    = -sws_flags area+accurate_rnd+bitexact
+fate-vsynth%-dnxhd-edge2-hr:  FMT        = dnxhd
+
+fate-vsynth%-dnxhd-edge3-hr:  ENCOPTS    = -s 257x121 -profile:v dnxhr_hq \
+                                           -pix_fmt yuv422p -frames 5
+fate-vsynth%-dnxhd-edge3-hr:  DECOPTS    = -sws_flags area+accurate_rnd+bitexact
+fate-vsynth%-dnxhd-edge3-hr:  FMT        = dnxhd
+
 FATE_VCODEC-$(call ENCDEC, DNXHD, MOV)  += dnxhd-1080i dnxhd-1080i-10bit dnxhd-1080i-colr
 fate-vsynth%-dnxhd-1080i:        ENCOPTS = -s hd1080 -b 120M -flags +ildct \
                                            -pix_fmt yuv422p -frames 5 -qmax 8
diff --git a/tests/ref/vsynth/vsynth1-dnxhd-edge1-hr b/tests/ref/vsynth/vsynth1-dnxhd-edge1-hr
new file mode 100644
index 0000000..681babd
--- /dev/null
+++ b/tests/ref/vsynth/vsynth1-dnxhd-edge1-hr
@@ -0,0 +1,4 @@
+58dfc47406a4cb7ca344dd7b2fe3fcdb *tests/data/fate/vsynth1-dnxhd-edge1-hr.dnxhd
+81920 tests/data/fate/vsynth1-dnxhd-edge1-hr.dnxhd
+6e4070ef8005ca5c56be1ad63e7ee596 *tests/data/fate/vsynth1-dnxhd-edge1-hr.out.rawvideo
+stddev:   16.03 PSNR: 24.03 MAXDIFF:  150 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth1-dnxhd-edge2-hr b/tests/ref/vsynth/vsynth1-dnxhd-edge2-hr
new file mode 100644
index 0000000..47db332
--- /dev/null
+++ b/tests/ref/vsynth/vsynth1-dnxhd-edge2-hr
@@ -0,0 +1,4 @@
+3ebeb52ae53a5b2ae4a0d90fa728c4fa *tests/data/fate/vsynth1-dnxhd-edge2-hr.dnxhd
+81920 tests/data/fate/vsynth1-dnxhd-edge2-hr.dnxhd
+1763637504f89c4e1a50a4de25c5e58a *tests/data/fate/vsynth1-dnxhd-edge2-hr.out.rawvideo
+stddev:   15.86 PSNR: 24.12 MAXDIFF:  157 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth1-dnxhd-edge3-hr b/tests/ref/vsynth/vsynth1-dnxhd-edge3-hr
new file mode 100644
index 0000000..d4a124b
--- /dev/null
+++ b/tests/ref/vsynth/vsynth1-dnxhd-edge3-hr
@@ -0,0 +1,4 @@
+d509f1f4a48aa2d11a6c2940e330a96d *tests/data/fate/vsynth1-dnxhd-edge3-hr.dnxhd
+81920 tests/data/fate/vsynth1-dnxhd-edge3-hr.dnxhd
+1798764ddce650db42e6e75c7c5330e0 *tests/data/fate/vsynth1-dnxhd-edge3-hr.out.rawvideo
+stddev:   16.36 PSNR: 23.85 MAXDIFF:  152 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth2-dnxhd-edge1-hr b/tests/ref/vsynth/vsynth2-dnxhd-edge1-hr
new file mode 100644
index 0000000..057129d
--- /dev/null
+++ b/tests/ref/vsynth/vsynth2-dnxhd-edge1-hr
@@ -0,0 +1,4 @@
+e0837e973c1f03330f57194be254eb62 *tests/data/fate/vsynth2-dnxhd-edge1-hr.dnxhd
+81920 tests/data/fate/vsynth2-dnxhd-edge1-hr.dnxhd
+3fc73167079a12e181613b6578598cb0 *tests/data/fate/vsynth2-dnxhd-edge1-hr.out.rawvideo
+stddev:    7.01 PSNR: 31.21 MAXDIFF:  107 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth2-dnxhd-edge2-hr b/tests/ref/vsynth/vsynth2-dnxhd-edge2-hr
new file mode 100644
index 0000000..18212ae
--- /dev/null
+++ b/tests/ref/vsynth/vsynth2-dnxhd-edge2-hr
@@ -0,0 +1,4 @@
+cc7d61221237f08493c2c4405742593c *tests/data/fate/vsynth2-dnxhd-edge2-hr.dnxhd
+81920 tests/data/fate/vsynth2-dnxhd-edge2-hr.dnxhd
+58370b3a671e9a1aaa3ff0f04f6b65ff *tests/data/fate/vsynth2-dnxhd-edge2-hr.out.rawvideo
+stddev:    6.77 PSNR: 31.52 MAXDIFF:  106 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth2-dnxhd-edge3-hr b/tests/ref/vsynth/vsynth2-dnxhd-edge3-hr
new file mode 100644
index 0000000..f869be5
--- /dev/null
+++ b/tests/ref/vsynth/vsynth2-dnxhd-edge3-hr
@@ -0,0 +1,4 @@
+4b9649af0908c027c57432cbbacd5bc5 *tests/data/fate/vsynth2-dnxhd-edge3-hr.dnxhd
+81920 tests/data/fate/vsynth2-dnxhd-edge3-hr.dnxhd
+a32d6ce6d693cbeb35b93a97fb68c088 *tests/data/fate/vsynth2-dnxhd-edge3-hr.out.rawvideo
+stddev:    7.45 PSNR: 30.68 MAXDIFF:  111 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth3-dnxhd-edge1-hr b/tests/ref/vsynth/vsynth3-dnxhd-edge1-hr
new file mode 100644
index 0000000..ec5445b
--- /dev/null
+++ b/tests/ref/vsynth/vsynth3-dnxhd-edge1-hr
@@ -0,0 +1,4 @@
+178cbf39ee530bfa190b332ce3fa3498 *tests/data/fate/vsynth3-dnxhd-edge1-hr.dnxhd
+81920 tests/data/fate/vsynth3-dnxhd-edge1-hr.dnxhd
+714fd3f9f467cb60d606548b98e5d52b *tests/data/fate/vsynth3-dnxhd-edge1-hr.out.rawvideo
+stddev:    7.11 PSNR: 31.09 MAXDIFF:   52 bytes:    86700/     8670
diff --git a/tests/ref/vsynth/vsynth3-dnxhd-edge2-hr b/tests/ref/vsynth/vsynth3-dnxhd-edge2-hr
new file mode 100644
index 0000000..37aebd3
--- /dev/null
+++ b/tests/ref/vsynth/vsynth3-dnxhd-edge2-hr
@@ -0,0 +1,4 @@
+a115494fe55740743b4a1a75e8f940ec *tests/data/fate/vsynth3-dnxhd-edge2-hr.dnxhd
+81920 tests/data/fate/vsynth3-dnxhd-edge2-hr.dnxhd
+3bdf0df4e807f5c10362618ba572978c *tests/data/fate/vsynth3-dnxhd-edge2-hr.out.rawvideo
+stddev:    7.08 PSNR: 31.13 MAXDIFF:   52 bytes:    86700/     8670
diff --git a/tests/ref/vsynth/vsynth3-dnxhd-edge3-hr b/tests/ref/vsynth/vsynth3-dnxhd-edge3-hr
new file mode 100644
index 0000000..d1ce719
--- /dev/null
+++ b/tests/ref/vsynth/vsynth3-dnxhd-edge3-hr
@@ -0,0 +1,4 @@
+db949ad0c841bc6cf603646e14a5da53 *tests/data/fate/vsynth3-dnxhd-edge3-hr.dnxhd
+81920 tests/data/fate/vsynth3-dnxhd-edge3-hr.dnxhd
+d34c4c4324e40370a78eb178c9745126 *tests/data/fate/vsynth3-dnxhd-edge3-hr.out.rawvideo
+stddev:    7.12 PSNR: 31.08 MAXDIFF:   51 bytes:    86700/     8670
diff --git a/tests/ref/vsynth/vsynth_lena-dnxhd-edge1-hr b/tests/ref/vsynth/vsynth_lena-dnxhd-edge1-hr
new file mode 100644
index 0000000..7ebc0b3
--- /dev/null
+++ b/tests/ref/vsynth/vsynth_lena-dnxhd-edge1-hr
@@ -0,0 +1,4 @@
+c2802b8a262fd6fc304d01819ad49f31 *tests/data/fate/vsynth_lena-dnxhd-edge1-hr.dnxhd
+81920 tests/data/fate/vsynth_lena-dnxhd-edge1-hr.dnxhd
+12818941028a00036756031e4268e9af *tests/data/fate/vsynth_lena-dnxhd-edge1-hr.out.rawvideo
+stddev:    4.94 PSNR: 34.25 MAXDIFF:   78 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth_lena-dnxhd-edge2-hr b/tests/ref/vsynth/vsynth_lena-dnxhd-edge2-hr
new file mode 100644
index 0000000..59b8c1e
--- /dev/null
+++ b/tests/ref/vsynth/vsynth_lena-dnxhd-edge2-hr
@@ -0,0 +1,4 @@
+e84602720da8933dd68ef480fb7857c0 *tests/data/fate/vsynth_lena-dnxhd-edge2-hr.dnxhd
+81920 tests/data/fate/vsynth_lena-dnxhd-edge2-hr.dnxhd
+86784a85131a975cf656c63009d3242d *tests/data/fate/vsynth_lena-dnxhd-edge2-hr.out.rawvideo
+stddev:    4.70 PSNR: 34.68 MAXDIFF:   79 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth_lena-dnxhd-edge3-hr b/tests/ref/vsynth/vsynth_lena-dnxhd-edge3-hr
new file mode 100644
index 0000000..3adad9b
--- /dev/null
+++ b/tests/ref/vsynth/vsynth_lena-dnxhd-edge3-hr
@@ -0,0 +1,4 @@
+a0ad1f4433b9ab253fc78e96e75ce024 *tests/data/fate/vsynth_lena-dnxhd-edge3-hr.dnxhd
+81920 tests/data/fate/vsynth_lena-dnxhd-edge3-hr.dnxhd
+a6de77789a2e04d85cc0e86c21b0c2ec *tests/data/fate/vsynth_lena-dnxhd-edge3-hr.out.rawvideo
+stddev:    5.09 PSNR: 33.98 MAXDIFF:   84 bytes:  7603200/   760320