diff --git a/tests/fate/vcodec.mak b/tests/fate/vcodec.mak
index 4ed94a5..a51f16c 100644
--- a/tests/fate/vcodec.mak
+++ b/tests/fate/vcodec.mak
@@ -96,7 +96,8 @@ fate-vsynth%-dnxhd-edge3-hr:  ENCOPTS    = -s 257x121 -profile:v dnxhr_hq \
 fate-vsynth%-dnxhd-edge3-hr:  DECOPTS    = -sws_flags area+accurate_rnd+bitexact
 fate-vsynth%-dnxhd-edge3-hr:  FMT        = dnxhd
 
-FATE_VCODEC-$(call ENCDEC, DNXHD, MOV)  += dnxhd-1080i dnxhd-1080i-10bit dnxhd-1080i-colr
+FATE_VCODEC-$(call ENCDEC, DNXHD, MOV)  += dnxhd-1080i dnxhd-1080i-10bit dnxhd-1080i-colr \
+                                           dnxhd-hr-lb-mov dnxhd-hr-sq-mov dnxhd-hr-hq-mov
 fate-vsynth%-dnxhd-1080i:        ENCOPTS = -s hd1080 -b 120M -flags +ildct \
                                            -pix_fmt yuv422p -frames 5 -qmax 8
 fate-vsynth%-dnxhd-1080i:        FMT     = mov
@@ -111,6 +112,21 @@ fate-vsynth%-dnxhd-1080i-colr:   ENCOPTS = -s hd1080 -b 120M -flags +ildct -movf
 fate-vsynth%-dnxhd-1080i-colr:   DECOPTS = -sws_flags area+accurate_rnd+bitexact
 fate-vsynth%-dnxhd-1080i-colr:   FMT     = mov
 
+fate-vsynth%-dnxhd-hr-lb-mov:   ENCOPTS = -s uhd2160 -profile:v dnxhr_lb \
+                                           -pix_fmt yuv422p -frames 5
+fate-vsynth%-dnxhd-hr-lb-mov:   DECOPTS = -sws_flags area+accurate_rnd+bitexact
+fate-vsynth%-dnxhd-hr-lb-mov:   FMT     = mov
+
+fate-vsynth%-dnxhd-hr-sq-mov:   ENCOPTS = -s 2kscope -profile:v dnxhr_sq \
+                                           -pix_fmt yuv422p -frames 5
+fate-vsynth%-dnxhd-hr-sq-mov:   DECOPTS = -sws_flags area+accurate_rnd+bitexact
+fate-vsynth%-dnxhd-hr-sq-mov:   FMT     = mov
+
+fate-vsynth%-dnxhd-hr-hq-mov:   ENCOPTS = -s 2kflat -profile:v dnxhr_hq \
+                                           -pix_fmt yuv422p -frames 5
+fate-vsynth%-dnxhd-hr-hq-mov:   DECOPTS = -sws_flags area+accurate_rnd+bitexact
+fate-vsynth%-dnxhd-hr-hq-mov:   FMT     = mov
+
 FATE_VCODEC-$(call ENCDEC, DVVIDEO, DV) += dv dv-411 dv-50
 fate-vsynth%-dv:                 CODEC   = dvvideo
 fate-vsynth%-dv:                 ENCOPTS = -dct int -s pal
diff --git a/tests/ref/vsynth/vsynth1-dnxhd-hr-hq-mov b/tests/ref/vsynth/vsynth1-dnxhd-hr-hq-mov
new file mode 100644
index 0000000..559c2f0
--- /dev/null
+++ b/tests/ref/vsynth/vsynth1-dnxhd-hr-hq-mov
@@ -0,0 +1,4 @@
+c8b5d2bde45776bbf13f0262c915f5b9 *tests/data/fate/vsynth1-dnxhd-hr-hq-mov.mov
+4772599 tests/data/fate/vsynth1-dnxhd-hr-hq-mov.mov
+388c7c84573abe28cc963e3ad5e15a31 *tests/data/fate/vsynth1-dnxhd-hr-hq-mov.out.rawvideo
+stddev:    5.73 PSNR: 32.96 MAXDIFF:   56 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth1-dnxhd-hr-lb-mov b/tests/ref/vsynth/vsynth1-dnxhd-hr-lb-mov
new file mode 100644
index 0000000..2e2b4a3
--- /dev/null
+++ b/tests/ref/vsynth/vsynth1-dnxhd-hr-lb-mov
@@ -0,0 +1,4 @@
+254aa3f0be811882ff351172fd391492 *tests/data/fate/vsynth1-dnxhd-hr-lb-mov.mov
+3748599 tests/data/fate/vsynth1-dnxhd-hr-lb-mov.mov
+21c68252f500bada13ccce232e1ecfca *tests/data/fate/vsynth1-dnxhd-hr-lb-mov.out.rawvideo
+stddev:    5.59 PSNR: 33.17 MAXDIFF:   55 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth1-dnxhd-hr-sq-mov b/tests/ref/vsynth/vsynth1-dnxhd-hr-sq-mov
new file mode 100644
index 0000000..2c52e3e
--- /dev/null
+++ b/tests/ref/vsynth/vsynth1-dnxhd-hr-sq-mov
@@ -0,0 +1,4 @@
+7d7fb47e926aa565b51661264f1a39e9 *tests/data/fate/vsynth1-dnxhd-hr-sq-mov.mov
+2560763 tests/data/fate/vsynth1-dnxhd-hr-sq-mov.mov
+66d29f91cdf038753894dd42e65d997a *tests/data/fate/vsynth1-dnxhd-hr-sq-mov.out.rawvideo
+stddev:    5.77 PSNR: 32.91 MAXDIFF:   58 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth2-dnxhd-hr-hq-mov b/tests/ref/vsynth/vsynth2-dnxhd-hr-hq-mov
new file mode 100644
index 0000000..ab49a3a
--- /dev/null
+++ b/tests/ref/vsynth/vsynth2-dnxhd-hr-hq-mov
@@ -0,0 +1,4 @@
+a15a4d267dcaeba7a366733be0b508df *tests/data/fate/vsynth2-dnxhd-hr-hq-mov.mov
+4772599 tests/data/fate/vsynth2-dnxhd-hr-hq-mov.mov
+9c087836b5e07bddb96533d27939219f *tests/data/fate/vsynth2-dnxhd-hr-hq-mov.out.rawvideo
+stddev:    1.56 PSNR: 44.25 MAXDIFF:   33 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth2-dnxhd-hr-lb-mov b/tests/ref/vsynth/vsynth2-dnxhd-hr-lb-mov
new file mode 100644
index 0000000..1f0f496
--- /dev/null
+++ b/tests/ref/vsynth/vsynth2-dnxhd-hr-lb-mov
@@ -0,0 +1,4 @@
+f8c366051fb16025e97f1bf78f13e1af *tests/data/fate/vsynth2-dnxhd-hr-lb-mov.mov
+3748599 tests/data/fate/vsynth2-dnxhd-hr-lb-mov.mov
+6d4cdd8822ead300690af9ce52db037c *tests/data/fate/vsynth2-dnxhd-hr-lb-mov.out.rawvideo
+stddev:    1.52 PSNR: 44.49 MAXDIFF:   33 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth2-dnxhd-hr-sq-mov b/tests/ref/vsynth/vsynth2-dnxhd-hr-sq-mov
new file mode 100644
index 0000000..7bffbed
--- /dev/null
+++ b/tests/ref/vsynth/vsynth2-dnxhd-hr-sq-mov
@@ -0,0 +1,4 @@
+863b1780cfdabfd713ddf722792a5e61 *tests/data/fate/vsynth2-dnxhd-hr-sq-mov.mov
+2560763 tests/data/fate/vsynth2-dnxhd-hr-sq-mov.mov
+ba86d472b3f160e2f1d00cf569231e3f *tests/data/fate/vsynth2-dnxhd-hr-sq-mov.out.rawvideo
+stddev:    1.58 PSNR: 44.13 MAXDIFF:   35 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth3-dnxhd-hr-hq-mov b/tests/ref/vsynth/vsynth3-dnxhd-hr-hq-mov
new file mode 100644
index 0000000..e46e151
--- /dev/null
+++ b/tests/ref/vsynth/vsynth3-dnxhd-hr-hq-mov
@@ -0,0 +1,4 @@
+ca442de6ac8971a1da0afed0ee7fbd18 *tests/data/fate/vsynth3-dnxhd-hr-hq-mov.mov
+4772599 tests/data/fate/vsynth3-dnxhd-hr-hq-mov.mov
+aa2e6c13a1e7760a22fccfca9faacdf3 *tests/data/fate/vsynth3-dnxhd-hr-hq-mov.out.rawvideo
+stddev:    6.92 PSNR: 31.32 MAXDIFF:   50 bytes:    86700/     8670
diff --git a/tests/ref/vsynth/vsynth3-dnxhd-hr-lb-mov b/tests/ref/vsynth/vsynth3-dnxhd-hr-lb-mov
new file mode 100644
index 0000000..f869caf
--- /dev/null
+++ b/tests/ref/vsynth/vsynth3-dnxhd-hr-lb-mov
@@ -0,0 +1,4 @@
+921f16751950320d8da7a1dde215c2ff *tests/data/fate/vsynth3-dnxhd-hr-lb-mov.mov
+3748599 tests/data/fate/vsynth3-dnxhd-hr-lb-mov.mov
+1a4d12fd893e4585944dd9c68fb23edf *tests/data/fate/vsynth3-dnxhd-hr-lb-mov.out.rawvideo
+stddev:    6.92 PSNR: 31.32 MAXDIFF:   50 bytes:    86700/     8670
diff --git a/tests/ref/vsynth/vsynth3-dnxhd-hr-sq-mov b/tests/ref/vsynth/vsynth3-dnxhd-hr-sq-mov
new file mode 100644
index 0000000..b247ce7
--- /dev/null
+++ b/tests/ref/vsynth/vsynth3-dnxhd-hr-sq-mov
@@ -0,0 +1,4 @@
+aa51e1aaf9bd8899e282096d2dcb4f25 *tests/data/fate/vsynth3-dnxhd-hr-sq-mov.mov
+2560763 tests/data/fate/vsynth3-dnxhd-hr-sq-mov.mov
+730c00cc5a24e13ee99a75789806cb28 *tests/data/fate/vsynth3-dnxhd-hr-sq-mov.out.rawvideo
+stddev:    6.91 PSNR: 31.33 MAXDIFF:   50 bytes:    86700/     8670
diff --git a/tests/ref/vsynth/vsynth_lena-dnxhd-hr-hq-mov b/tests/ref/vsynth/vsynth_lena-dnxhd-hr-hq-mov
new file mode 100644
index 0000000..9cea762
--- /dev/null
+++ b/tests/ref/vsynth/vsynth_lena-dnxhd-hr-hq-mov
@@ -0,0 +1,4 @@
+b232775e04c6a6a7995799db6cd8c255 *tests/data/fate/vsynth_lena-dnxhd-hr-hq-mov.mov
+4772599 tests/data/fate/vsynth_lena-dnxhd-hr-hq-mov.mov
+e6c3531cb32eb3d0c465c44098746fea *tests/data/fate/vsynth_lena-dnxhd-hr-hq-mov.out.rawvideo
+stddev:    1.34 PSNR: 45.54 MAXDIFF:   23 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth_lena-dnxhd-hr-lb-mov b/tests/ref/vsynth/vsynth_lena-dnxhd-hr-lb-mov
new file mode 100644
index 0000000..a582b88
--- /dev/null
+++ b/tests/ref/vsynth/vsynth_lena-dnxhd-hr-lb-mov
@@ -0,0 +1,4 @@
+2c6881ebb8efdb02189862f67cd72851 *tests/data/fate/vsynth_lena-dnxhd-hr-lb-mov.mov
+3748599 tests/data/fate/vsynth_lena-dnxhd-hr-lb-mov.mov
+0951de00b90d1bf34d2ff10a51db705d *tests/data/fate/vsynth_lena-dnxhd-hr-lb-mov.out.rawvideo
+stddev:    1.31 PSNR: 45.72 MAXDIFF:   21 bytes:  7603200/   760320
diff --git a/tests/ref/vsynth/vsynth_lena-dnxhd-hr-sq-mov b/tests/ref/vsynth/vsynth_lena-dnxhd-hr-sq-mov
new file mode 100644
index 0000000..80a6897
--- /dev/null
+++ b/tests/ref/vsynth/vsynth_lena-dnxhd-hr-sq-mov
@@ -0,0 +1,4 @@
+b3b2380b019f0f655af5d61caa76cf12 *tests/data/fate/vsynth_lena-dnxhd-hr-sq-mov.mov
+2560763 tests/data/fate/vsynth_lena-dnxhd-hr-sq-mov.mov
+95e7da46fc066ed795de4ec1cf4d4ab5 *tests/data/fate/vsynth_lena-dnxhd-hr-sq-mov.out.rawvideo
+stddev:    1.35 PSNR: 45.51 MAXDIFF:   23 bytes:  7603200/   760320