diff --git a/tests/fate/mxf.mak b/tests/fate/mxf.mak
index e95c0b5..27d30e5 100644
--- a/tests/fate/mxf.mak
+++ b/tests/fate/mxf.mak
@@ -8,7 +8,24 @@ fate-mxf-essencegroup-demux: CMD = framecrc -i $(TARGET_SAMPLES)/mxf/opatom_esse
 FATE_MXF += fate-mxf-multiple-components-demux
 fate-mxf-multiple-components-demux: CMD = framecrc -i $(TARGET_SAMPLES)/mxf/multiple_components.mxf -vcodec copy
 
+#
+# Tests probing MXF format and stream properties
+#
+PROBE_FORMAT_STREAMS_COMMAND = \
+    ffprobe$(PROGSSUF)$(EXESUF) -show_entries format=format_name,duration,bit_rate:format_tags:streams:stream_tags \
+    -print_format compact=p=0 -bitexact -v 0
+
+FATE_MXF_PROBE-$(call ENCDEC2, MPEG2VIDEO, PCM_S16LE, MXF) += fate-mxf-probe-d10
+fate-mxf-probe-d10: SRC = $(TARGET_SAMPLES)/mxf/Sony-00001.mxf
+fate-mxf-probe-d10: CMD = run $(PROBE_FORMAT_STREAMS_COMMAND) -i "$(SRC)"
+
+FATE_MXF_PROBE-$(call ENCDEC2, DVVIDEO, PCM_S16LE, MXF) += fate-mxf-probe-dv25
+fate-mxf-probe-dv25: SRC = $(TARGET_SAMPLES)/mxf/Avid-00005.mxf
+fate-mxf-probe-dv25: CMD = run $(PROBE_FORMAT_STREAMS_COMMAND) -i "$(SRC)"
+
 FATE_MXF-$(CONFIG_MXF_DEMUXER) += $(FATE_MXF)
 
 FATE_SAMPLES_AVCONV += $(FATE_MXF-yes)
-fate-mxf: $(FATE_MXF-yes)
+FATE_SAMPLES_FFPROBE += $(FATE_MXF_PROBE-yes)
+
+fate-mxf: $(FATE_MXF-yes) $(FATE_MXF_PROBE-yes)
diff --git a/tests/ref/fate/mxf-probe-d10 b/tests/ref/fate/mxf-probe-d10
new file mode 100644
index 0000000..2efdb9a
--- /dev/null
+++ b/tests/ref/fate/mxf-probe-d10
@@ -0,0 +1,3 @@
+index=0|codec_name=mpeg2video|profile=0|codec_type=video|codec_time_base=1/25|codec_tag_string=[0][0][0][0]|codec_tag=0x0000|width=720|height=608|coded_width=0|coded_height=0|has_b_frames=0|sample_aspect_ratio=152:135|display_aspect_ratio=4:3|pix_fmt=yuv422p|level=5|color_range=tv|color_space=unknown|color_transfer=unknown|color_primaries=unknown|chroma_location=topleft|field_order=tt|timecode=N/A|refs=1|id=N/A|r_frame_rate=25/1|avg_frame_rate=25/1|time_base=1/25|start_pts=0|start_time=0.000000|duration_ts=4|duration=0.160000|bit_rate=50000000|max_bit_rate=N/A|bits_per_raw_sample=N/A|nb_frames=N/A|nb_read_frames=N/A|nb_read_packets=N/A|disposition:default=0|disposition:dub=0|disposition:original=0|disposition:comment=0|disposition:lyrics=0|disposition:karaoke=0|disposition:forced=0|disposition:hearing_impaired=0|disposition:visual_impaired=0|disposition:clean_effects=0|disposition:attached_pic=0|tag:file_package_umid=0x060A2B340101010501010D1313000000AE86B200913105800000080046A54011
+index=1|codec_name=pcm_s16le|profile=unknown|codec_type=audio|codec_time_base=1/48000|codec_tag_string=[0][0][0][0]|codec_tag=0x0000|sample_fmt=s16|sample_rate=48000|channels=8|channel_layout=unknown|bits_per_sample=16|id=N/A|r_frame_rate=0/0|avg_frame_rate=0/0|time_base=1/48000|start_pts=0|start_time=0.000000|duration_ts=8562|duration=0.178375|bit_rate=6144000|max_bit_rate=N/A|bits_per_raw_sample=N/A|nb_frames=N/A|nb_read_frames=N/A|nb_read_packets=N/A|disposition:default=0|disposition:dub=0|disposition:original=0|disposition:comment=0|disposition:lyrics=0|disposition:karaoke=0|disposition:forced=0|disposition:hearing_impaired=0|disposition:visual_impaired=0|disposition:clean_effects=0|disposition:attached_pic=0|tag:file_package_umid=0x060A2B340101010501010D1313000000AE86B200913105800000080046A54011
+format_name=mxf|duration=0.178375|bit_rate=56419744|tag:uid=0086b200-9131-0580-0000-080046a54011|tag:generation_uid=b486b200-9131-0580-0000-080046a54011|tag:company_name=SONY|tag:product_name=eVTR|tag:product_version=1.00|tag:product_uid=060e2b34-0401-0106-0e06-012001010100|tag:modification_date=2004-07-05T21:39:00.000000Z|tag:material_package_umid=0x060A2B340101010501010D1313000000A886B200913105800000080046A54011|tag:timecode=07:12:10:00
diff --git a/tests/ref/fate/mxf-probe-dv25 b/tests/ref/fate/mxf-probe-dv25
new file mode 100644
index 0000000..6ea541e
--- /dev/null
+++ b/tests/ref/fate/mxf-probe-dv25
@@ -0,0 +1,4 @@
+index=0|codec_name=dvvideo|profile=unknown|codec_type=video|codec_time_base=1/25|codec_tag_string=[0][0][0][0]|codec_tag=0x0000|width=720|height=576|coded_width=720|coded_height=576|has_b_frames=0|sample_aspect_ratio=16:15|display_aspect_ratio=4:3|pix_fmt=yuv420p|level=-99|color_range=N/A|color_space=unknown|color_transfer=unknown|color_primaries=unknown|chroma_location=topleft|field_order=bb|timecode=N/A|refs=1|id=N/A|r_frame_rate=25/1|avg_frame_rate=25/1|time_base=1/25|start_pts=0|start_time=0.000000|duration_ts=25|duration=1.000000|bit_rate=N/A|max_bit_rate=N/A|bits_per_raw_sample=N/A|nb_frames=N/A|nb_read_frames=N/A|nb_read_packets=N/A|disposition:default=0|disposition:dub=0|disposition:original=0|disposition:comment=0|disposition:lyrics=0|disposition:karaoke=0|disposition:forced=0|disposition:hearing_impaired=0|disposition:visual_impaired=0|disposition:clean_effects=0|disposition:attached_pic=0|tag:file_package_umid=0x060A2B340101010501010D4313000000F2E2FCE98722F14F947F08DE1EF7
 A8DA
+index=1|codec_name=pcm_s16le|profile=unknown|codec_type=audio|codec_time_base=1/48000|codec_tag_string=[0][0][0][0]|codec_tag=0x0000|sample_fmt=s16|sample_rate=48000|channels=1|channel_layout=unknown|bits_per_sample=16|id=N/A|r_frame_rate=0/0|avg_frame_rate=0/0|time_base=1/48000|start_pts=0|start_time=0.000000|duration_ts=48000|duration=1.000000|bit_rate=768000|max_bit_rate=N/A|bits_per_raw_sample=N/A|nb_frames=N/A|nb_read_frames=N/A|nb_read_packets=N/A|disposition:default=0|disposition:dub=0|disposition:original=0|disposition:comment=0|disposition:lyrics=0|disposition:karaoke=0|disposition:forced=0|disposition:hearing_impaired=0|disposition:visual_impaired=0|disposition:clean_effects=0|disposition:attached_pic=0|tag:file_package_umid=0x060A2B340101010501010D4313000000F2E2FCE98722F14F947F08DE1EF7A8DA
+index=2|codec_name=pcm_s16le|profile=unknown|codec_type=audio|codec_time_base=1/48000|codec_tag_string=[0][0][0][0]|codec_tag=0x0000|sample_fmt=s16|sample_rate=48000|channels=1|channel_layout=unknown|bits_per_sample=16|id=N/A|r_frame_rate=0/0|avg_frame_rate=0/0|time_base=1/48000|start_pts=0|start_time=0.000000|duration_ts=48000|duration=1.000000|bit_rate=768000|max_bit_rate=N/A|bits_per_raw_sample=N/A|nb_frames=N/A|nb_read_frames=N/A|nb_read_packets=N/A|disposition:default=0|disposition:dub=0|disposition:original=0|disposition:comment=0|disposition:lyrics=0|disposition:karaoke=0|disposition:forced=0|disposition:hearing_impaired=0|disposition:visual_impaired=0|disposition:clean_effects=0|disposition:attached_pic=0|tag:file_package_umid=0x060A2B340101010501010D4313000000F2E2FCE98722F14F947F08DE1EF7A8DA