--- ./tests/ref/fate/segment-mp4-to-ts  2016-12-30 00:31:20.420965026 +0100
+++ tests/data/fate/segment-mp4-to-ts   2017-01-01 02:49:40.011075738 +0100
@@ -24,7 +24,7 @@
 0,      54000,      72000,        0,     4755, 0x2f642b58, F=0x0, S=1,        1, 0x00e000e0
 0,      57600,      64800,        0,     1182, 0xbe1a4847, F=0x0, S=1,        1, 0x00e000e0
 0,      61200,      61200,        0,      809, 0x8d948a4e, F=0x0, S=1,        1, 0x00e000e0
-0,      64800,      68400,        0,      656, 0x4fa03c2b, F=0x0, S=1,        1, 0x00e000e0
+0,      64800,      68400,        0,      656, 0x4fa03c2b, F=0x0
 0,      68400,      86400,        0,    26555, 0x5629b584, S=1,        1, 0x00e000e0
 0,      72000,      79200,        0,     1141, 0x761b31e8, F=0x0, S=1,        1, 0x00e000e0
 0,      75600,      75600,        0,      717, 0x57746351, F=0x0, S=1,        1, 0x00e000e0
@@ -48,7 +48,7 @@
 0,     140400,     158400,     3600,     5328, 0xd2c55ac6, F=0x0, S=1,        1, 0x00e000e0
 0,     144000,     151200,     3600,     1271, 0x46006870, F=0x0, S=1,        1, 0x00e000e0
 0,     147600,     147600,     3600,      849, 0x94dc99c7, F=0x0, S=1,        1, 0x00e000e0
-0,     151200,     154800,     3600,      753, 0xf4236cab, F=0x0, S=1,        1, 0x00e000e0
+0,     151200,     154800,     3600,      753, 0xf4236cab, F=0x0
 0,     154800,     172800,     3600,    25825, 0xd5464dee, S=1,        1, 0x00e000e0
 0,     158400,     165600,     3600,     1206, 0x8ce84344, F=0x0, S=1,        1, 0x00e000e0
 0,     162000,     162000,     3600,      867, 0x312fa07d, F=0x0, S=1,        1, 0x00e000e0
@@ -96,7 +96,7 @@
 0,     313200,     331200,     3600,     5352, 0x59997996, F=0x0, S=1,        1, 0x00e000e0
 0,     316800,     324000,     3600,     1501, 0xb3b8f001, F=0x0, S=1,        1, 0x00e000e0
 0,     320400,     320400,     3600,      941, 0x92b0cb18, F=0x0, S=1,        1, 0x00e000e0
-0,     324000,     327600,     3600,      823, 0x3d548355, F=0x0, S=1,        1, 0x00e000e0
+0,     324000,     327600,     3600,      823, 0x3d548355, F=0x0
 0,     327600,     345600,     3600,    24042, 0x441e94fb, S=1,        1, 0x00e000e0
 0,     331200,     338400,     3600,     1582, 0x4f5d1049, F=0x0, S=1,        1, 0x00e000e0
 0,     334800,     334800,     3600,      945, 0x4f3cc9e8, F=0x0, S=1,        1, 0x00e000e0
@@ -120,7 +120,7 @@
 0,     399600,     417600,     3600,     1862, 0x22a2a06c, F=0x0, S=1,        1, 0x00e000e0
 0,     403200,     410400,     3600,      359, 0x11bdae52, F=0x0, S=1,        1, 0x00e000e0
 0,     406800,     406800,     3600,      235, 0xbec26964, F=0x0, S=1,        1, 0x00e000e0
-0,     410400,     414000,     3600,      221, 0x8380682c, F=0x0, S=1,        1, 0x00e000e0
+0,     410400,     414000,     3600,      221, 0x8380682c, F=0x0
 0,     414000,     432000,     3600,    22588, 0xf0ecf072, S=1,        1, 0x00e000e0
 0,     417600,     424800,     3600,      383, 0x4f3bb571, F=0x0, S=1,        1, 0x00e000e0
 0,     421200,     421200,     3600,      257, 0x22e87802, F=0x0, S=1,        1, 0x00e000e0
Test segment-mp4-to-ts failed. Look at tests/data/fate/segment-mp4-to-ts.err for details.
make: *** [fate-segment-mp4-to-ts] Error 1
TEST    segment-adts-to-mkv
--- ./tests/ref/fate/segment-adts-to-mkv-header-all     2016-12-30 00:31:20.420965026 +0100
+++ tests/data/fate/segment-adts-to-mkv 2017-01-01 02:49:40.047075739 +0100
@@ -21,21 +21,3 @@
 0,        832,        832,       64,      147, 0x226043d7
 0,        896,        896,       64,      119, 0x8ad931ed
 0,        960,        960,       64,      153, 0xbb6e432f
-0,       1024,       1024,       64,      185, 0xa01f4ff3
-0,       1088,       1088,       64,      126, 0x85503ce6
-0,       1152,       1152,       64,      246, 0x652c7b59
-0,       1216,       1216,       64,      162, 0xc9f04da0
-0,       1280,       1280,       64,      135, 0x71fa3be0
-0,       1344,       1344,       64,      246, 0x7a6f7788
-0,       1408,       1408,       64,      262, 0xd3097781
-0,       1472,       1472,       64,       60, 0x09a118f5
-0,       1536,       1536,       64,      255, 0xbab5793c
-0,       1600,       1600,       64,      153, 0x6b6a44fb
-0,       1664,       1664,       64,      160, 0x550e4530
-0,       1728,       1728,       64,      215, 0x7fe66144
-0,       1792,       1792,       64,      144, 0xcd723f7d
-0,       1856,       1856,       64,      187, 0x2a0b5c1b
-0,       1920,       1920,       64,      177, 0xb8c355d5
-0,       1984,       1984,       64,      156, 0x867d4f3a
-0,       2048,       2048,       64,      201, 0x62745ff9
-0,       2112,       2112,       64,      137, 0x90c639e0